log4shib::CategoryNameComponent(3)

NAME
log4shib::CategoryNameComponent

SYNOPSIS

Inherits log4shib::PatternLayout::PatternComponent.

  Public Member Functions
CategoryNameComponent (std::string specifier)
virtual void append (std::ostringstream &out, const LoggingEvent &event)

Constructor & Destructor Documentation

  log4shib::CategoryNameComponent::CategoryNameComponent (std::string specifier) [inline]

Member Function Documentation

  virtual void log4shib::CategoryNameComponent::append (std::ostringstream & out, const LoggingEvent & event) [inline], [virtual]

Implements log4shib::PatternLayout::PatternComponent.

Author

Generated automatically by Doxygen for log4shib from the source code.